Bug 639913 - (CVE-2010-2887) CVE-2010-2887 acroread: use of insecure RPATH (APSB10-21)
CVE-2010-2887 acroread: use of insecure RPATH (APSB10-21)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://www.adobe.com/support/security...
impact=low,source=redhat,reported=201...
: Security
Depends On: 639915 639916 639917
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-04 06:23 EDT by Tomas Hoger
Modified: 2010-10-07 03:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-07 03:01:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2010-10-04 06:23:20 EDT
It was discovered that certain libraries shipped with Adobe Reader for Linux used insecure RPATH setting.  A local attacker able to convince the victim to run Adobe Reader in an attacker-controlled directory could possibly run arbitrary code with the victim's privileges.

http://www.adobe.com/support/security/bulletins/apsb10-21.html

This update resolves multiple potential Linux-only privilege escalation issues (CVE-2010-2887).
Comment 2 Tomas Hoger 2010-10-06 02:30:18 EDT
Public now via:
  http://www.adobe.com/support/security/bulletins/apsb10-21.html
Comment 3 errata-xmlrpc 2010-10-06 06:29:06 EDT
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0743 https://rhn.redhat.com/errata/RHSA-2010-0743.html

Note You need to log in before you can comment on or make changes to this bug.